Bug 45173 - kmail crashes when removing imap server
Summary: kmail crashes when removing imap server
Status: CLOSED FIXED
Alias: None
Product: kmail
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Mandrake RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-07-14 10:48 UTC by David Findlay
Modified: 2007-09-14 12:17 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Findlay 2002-07-14 10:38:43 UTC
(*** This bug was imported into bugs.kde.org ***)

Package:           kmail
Version:           KDE 3.0.2 
Severity:          crash
Installed from:    Mandrake RPMs
Compiler:          Not Specified
OS:                Linux
OS/Compiler notes: Not Specified

Kmail will crash most times when you remove an IMAP server. I've had it happen under several configurations.

(Submitted via bugs.kde.org)
Comment 1 Zack Rusin 2002-07-30 20:53:06 UTC
Hi

could you provide some details? If it's possible I'd like to :
a) know how to reproduce it
b) see the backtrace that you're getting after the crash.

Thanks
Zack

--=20
**Disclaimer: Opinions cited by me are not necessarily my opinions.=20
Facts cited by me are not necessarily facts.
Comment 2 David Findlay 2002-07-30 22:41:37 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Wed 31 Jul 2002 06:53 Zack Rusin entered data into a CPU register that=
=20
indicated:
> could you provide some details? If it's possible I'd like to :
> a) know how to reproduce it

Add an IMAP server then remove it using the Configure KMail dialog. It see=
med=20
to happen every time. :-/

> b) see the backtrace that you're getting after the crash.

I thought I attached one.... anyway I'll try and replicate it again and att=
ach=20
one. I'm working right now though so it will be a little while.

Thanks

David

- --=20

- -----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GCC d- s:-- a--- C++ UL++++ P+++ L+++ E- W++ N++ o- K- w--
O-- M+ V-- PS PE Y+ PGP+++ t+ 5-- X-- R- tv- b++ DI++++ D---
G e h! !r y-
- ------END GEEK CODE BLOCK------

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE9RxYjZOfFgbBAbXARAjdzAJ42xnUQKdIMrvi25kPVmkra5ilE7ACfR663
SBWdTJdhkvkPg45RM+myKOU=3D
=3DqFsw
-----END PGP SIGNATURE-----
Comment 3 David Findlay 2002-08-01 05:16:51 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Wed 31 Jul 2002 06:53 Zack Rusin entered data into a CPU register that=
=20
indicated:
> could you provide some details? If it's possible I'd like to :
> a) know how to reproduce it

Hmm. Now i don't seem to be able to reproduce it either. Maybe it was a qui=
rk=20
on the day. I was using the anonymous IMAP interface to KDE mail lists on=
=20
this site: http://www.kde.org/mailinglists.html. Then trying to remove that=
=20
when it happened the first time. Now it won't do it. Thanks

David

- --=20

- -----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GCC d- s:-- a--- C++ UL++++ P+++ L+++ E- W++ N++ o- K- w--
O-- M+ V-- PS PE Y+ PGP+++ t+ 5-- X-- R- tv- b++ DI++++ D---
G e h! !r y-
- ------END GEEK CODE BLOCK------

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE9SMRDZOfFgbBAbXARAsdKAJ0eegbNIzj8ji9q3P7xhOXnGEo60wCdEsZ5
LqyPAEavAeAN1pIt0LD55Uo=3D
=3DeSSc
-----END PGP SIGNATURE-----